Skip to content

Add GTIN to the Assembly Orders ​

http
POST /api/marketplace/v3/click-collect/orders/meta/gtin

Base URL: https://marketplace-api.wildberries.ru · Module: in-store-pickup · Section: In-Store Pickup Label Identifiers · Specification doc ↗

The method sets the GTIN, Belarus item unique identifier, for the assembly orders label identifiers. The assembly order can only have one GTIN. You can add the GTIN only for assembly orders in the confirm status and if the field imei is returned in the response of the Get Order Label Identifiers method.

Request limit per one seller account for all methods for adding In-Store Pickup label identifiers:

PeriodLimitIntervalBurst
1 min20 requests3 s500 requests
One request with 4XX response codes is counted as 10 requests.

In Sandbox — maximum of 1 request per second for all Marketplace methods in total.

Request body ​

application/json — schema api.OrdersGTINSetRequest, required

  • orders api.GTIN[] (required)
    • gtin string (required) — GTIN
    • orderId integer<int64> (required) — Assembly order ID

Responses ​

CodeDescriptionSchema
200Successapi.MetaSetResponses
400Bad requestapi.BatchError
401Unauthorizedobject
402Payment requiredobject
403Access deniedError
429Too many requestsobject

Structure 200:

  • requestId object — Unique request ID
  • results api.MetaSetResponse[]
    • orderId integer<int64> — Assembly order ID
    • isError boolean — Are there any errors
    • errors api.MetaErrorResponse[] — Error details
      • code integer<int64> — Error code
      • detail string — - NotFound — the assembly order is not found - IncorrectRequestBody — incorrect request - IncorrectRequest — incorrect parameter

Structure 400:

  • detail object — Error details
  • origin string — WB internal service ID
  • requestId string — Unique request ID
  • title string — Error title

Structure 401:

  • title string — Error title
  • detail string — Error details
  • code string — Internal error code
  • requestId string — Unique request ID
  • origin string — WB internal service ID
  • status number — HTTP status code
  • statusText string — Text of the HTTP status code
  • timestamp string — Request date and time

Structure 402:

Structure 403:

  • code string — Error code
  • message string — Error description
  • data object — Additional data enriching the error

Structure 429:

  • title string — Error title
  • detail string — Error details
  • code string — Internal error code
  • requestId string — Unique request ID
  • origin string — WB internal service ID
  • status number — HTTP status code
  • statusText string — Text of the HTTP status code
  • timestamp string — Request date and time

Call examples ​

Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.

python
from wb_api_client.in_store_pickup import Configuration, ApiClient
from wb_api_client.in_store_pickup.api import InStorePickupApi

cfg = Configuration(access_token="<your WB JWT>")
api = InStorePickupApi(ApiClient(cfg))

result = api.post_v3_click_collect_orders_meta_gtin(api_orders_gtin_set_request=...)
print(result)
ts
import {
  Configuration,
  InStorePickupApi,
} from "@valeryverkhoturov/wb-api-client/in-store-pickup";

const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new InStorePickupApi(cfg);

const { data } = await api.postV3ClickCollectOrdersMetaGtin(apiOrdersGTINSetRequest);
console.log(data);
go
import (
	"context"
	"fmt"

	wbinstorepickup "github.com/ValeryVerkhoturov/wb-api-client-go/in_store_pickup"
)

cfg := wbinstorepickup.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbinstorepickup.NewAPIClient(cfg)

result, _, err := client.InStorePickupAPI.PostV3ClickCollectOrdersMetaGtin(context.Background()).ApiOrdersGTINSetRequest(apiOrdersGTINSetRequest).Execute()
if err != nil {
    panic(err)
}
fmt.Printf("%+v\n", result)
java
import io.github.valeryverkhoturov.wbapi.in_store_pickup.ApiClient;
import io.github.valeryverkhoturov.wbapi.in_store_pickup.SecretString;
import io.github.valeryverkhoturov.wbapi.in_store_pickup.api.InStorePickupApi;

ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
InStorePickupApi api = new InStorePickupApi(client);

System.out.println(api.postV3ClickCollectOrdersMetaGtin(apiOrdersGTINSetRequest));
php
use ValeryVerkhoturov\WbApiClient\InStorePickup\Configuration;
use ValeryVerkhoturov\WbApiClient\InStorePickup\SecretString;
use ValeryVerkhoturov\WbApiClient\InStorePickup\Api\InStorePickupApi;
use GuzzleHttp\Client;

$config = (new Configuration())
    ->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new InStorePickupApi(new Client(), $config);

print_r($api->postV3ClickCollectOrdersMetaGtin($api_orders_gtin_set_request));
bsl
#Использовать "wb-api-client"

Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый InStorePickupApi(Настройки);

Сообщить(Клиент.PostV3ClickCollectOrdersMetaGtin(Тело).Тело);
csharp
using ValeryVerkhoturov.WbApiClient.InStorePickup.Api;
using ValeryVerkhoturov.WbApiClient.InStorePickup.Client;

var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new InStorePickupApi(config);

Console.WriteLine(api.PostV3ClickCollectOrdersMetaGtin(apiOrdersGTINSetRequest));
rust
use wb_api_client::in_store_pickup::apis::{configuration::Configuration, in_store_pickup_api};

#[tokio::main]
async fn main() {
    let mut cfg = Configuration::new();
    cfg.set_access_token("<your WB JWT>");

    let result = in_store_pickup_api::post_v3_click_collect_orders_meta_gtin(&cfg, api_period_orders_gtin_set_request).await;
    println!("{:#?}", result);
}